#ifndef ITOGMASSIVE_H
#define ITOGMASSIVE_H
#include <QtSerialPort/QtSerialPort>

class ItogMassiv
{
public:
    ItogMassiv();
    ~ItogMassiv();

    void createMacroMatrica(int , int, int);
    void setMatica(QSerialPort *CommandPort, int , int ,int ,
                   int , int , int , int ,int , int , int, int ,
                   int , int );
    void setRandom();

    int x() {return X;}
    int y() {return Y;}
    double getTemp(int x, int y)
    {
        if (x>=X||y>=Y) return (double) -1;
        if (X!=-1&&Y!=-1) return itog_mas[x][y];
        return (double) -1;
    }

    double getTatmos() {
        return Tatmos;
    }

private:

    void deleteMatrica();

    double **itog_mas;
    int X;
    int Y;
    int shag;
    double Tatmos;

    //для заполнения итоговой матрицы
    int popravka1;
    int popravka2;
    bool chet_nechet;
};

#endif // ITOGMASSIVE_H
