﻿#ifndef ITOGMASSIVE_H
#define ITOGMASSIVE_H

class ItogMassiv
{
public:
    ItogMassiv();
    ~ItogMassiv();
    double **itog_mas;

    void createMicroMatrica(int );
    void createMacroMatrica(int , int, int);
    void setMicroMatrica(double mas[4][16], int);
    void setMacroMatrica(ItogMassiv& , int , int );


    int x() {return X;}
    int y() {return Y;}
    double getTemp(int x, int y)
    {
        if (x>=X||y>=Y) return (double) -1;
        if (X!=-1&&Y!=-1) return itog_mas[x][y];
        return (double) -1;
    }

private:
    void deleteMatrica();


    int X;
    int Y;
    int shag;

    //для заполнения итоговой матрицы
    int popravka1;
    int popravka2;
    bool chet_nechet;
};

#endif // ITOGMASSIVE_H
